Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513747 - [abrt] Crash under gtk_init() at XGetXCBConnection()
Summary: [abrt] Crash under gtk_init() at XGetXCBConnection()
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 26
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:26ad0113de405db80d9592610b3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-15 21:54 UTC by RobbieTheK
Modified: 2018-05-29 11:37 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:37:02 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-15 21:55 UTC, RobbieTheK
no flags Details
File: cgroup (deleted)
2017-11-15 21:55 UTC, RobbieTheK
no flags Details
File: core_backtrace (deleted)
2017-11-15 21:55 UTC, RobbieTheK
no flags Details
File: cpuinfo (deleted)
2017-11-15 21:55 UTC, RobbieTheK
no flags Details
File: dso_list (deleted)
2017-11-15 21:55 UTC, RobbieTheK
no flags Details
File: environ (deleted)
2017-11-15 21:55 UTC, RobbieTheK
no flags Details
File: limits (deleted)
2017-11-15 21:55 UTC, RobbieTheK
no flags Details
File: maps (deleted)
2017-11-15 21:55 UTC, RobbieTheK
no flags Details
File: open_fds (deleted)
2017-11-15 21:55 UTC, RobbieTheK
no flags Details
File: proc_pid_status (deleted)
2017-11-15 21:55 UTC, RobbieTheK
no flags Details
File: var_log_messages (deleted)
2017-11-15 21:55 UTC, RobbieTheK
no flags Details

Description RobbieTheK 2017-11-15 21:54:55 UTC
Version-Release number of selected component:
evolution-3.24.6-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/evolution/evolution-alarm-notify
crash_function: XGetXCBConnection
executable:     /usr/libexec/evolution/evolution-alarm-notify
journald_cursor: s=9c370e92e88b4a2cb24ae7672f640485;i=fa002f;b=d7ae5cd424f743dcbbdad920fbc58b7b;m=405ffb5a7f;t=55daa28b77665;x=c39088a25ba614a3
kernel:         4.13.10-200.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            6105

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 XGetXCBConnection at x11_xcb.c:9
 #1 QueryVersion at glxext.c:307
 #2 __glXInitialize at glxext.c:878
 #3 GetGLXPrivScreenConfig at glxcmds.c:173
 #4 glXQueryServerString at glxcmds.c:1354
 #5 epoxy_glx_version at ../src/dispatch_glx.c:80
 #6 gdk_x11_screen_init_gl at gdkglcontext-x11.c:866
 #7 _gdk_x11_screen_update_visuals_for_gl at gdkglcontext-x11.c:1210
 #8 _gdk_x11_screen_init_visuals at gdkvisual-x11.c:309
 #9 _gdk_x11_screen_new at gdkscreen-x11.c:908

Comment 1 RobbieTheK 2017-11-15 21:55:00 UTC
Created attachment 1353044 [details]
File: backtrace

Comment 2 RobbieTheK 2017-11-15 21:55:01 UTC
Created attachment 1353045 [details]
File: cgroup

Comment 3 RobbieTheK 2017-11-15 21:55:02 UTC
Created attachment 1353046 [details]
File: core_backtrace

Comment 4 RobbieTheK 2017-11-15 21:55:04 UTC
Created attachment 1353047 [details]
File: cpuinfo

Comment 5 RobbieTheK 2017-11-15 21:55:05 UTC
Created attachment 1353048 [details]
File: dso_list

Comment 6 RobbieTheK 2017-11-15 21:55:06 UTC
Created attachment 1353049 [details]
File: environ

Comment 7 RobbieTheK 2017-11-15 21:55:07 UTC
Created attachment 1353050 [details]
File: limits

Comment 8 RobbieTheK 2017-11-15 21:55:08 UTC
Created attachment 1353051 [details]
File: maps

Comment 9 RobbieTheK 2017-11-15 21:55:09 UTC
Created attachment 1353052 [details]
File: open_fds

Comment 10 RobbieTheK 2017-11-15 21:55:10 UTC
Created attachment 1353053 [details]
File: proc_pid_status

Comment 11 RobbieTheK 2017-11-15 21:55:11 UTC
Created attachment 1353054 [details]
File: var_log_messages

Comment 12 Milan Crha 2017-11-16 10:41:35 UTC
Thanks for a bug report. I see that this happened in time when the process had been starting, possibly by the autostart script. The process as such is calling gtk_init(), which is at the very beginning of it. I do not think there's anything evolution can do about it, thus I'm moving it to gtk3 for further investigation.

Does the crash happen when you try to run the calendar factory from a terminal? It would be like:

   $ /usr/libexec/evolution/evolution-alarm-notify

As this might happened right after login, maybe it's reproducible after (re)boot?

Comment 13 RobbieTheK 2017-11-16 16:55:46 UTC
When I run the command, nothing happens, nothing written in logs so I guess it didn't crash. On login there is a crash but it's with blueman-applet. Doubt they are related.

Comment 14 Fedora End Of Life 2018-05-03 08:10:45 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2018-05-29 11:37:02 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.